/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_3958665665")

  // remove field
  collection.fields.removeById("text2550061606")

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_3958665665")

  // add field
  collection.fields.addAt(4, new Field({
    "autogeneratePattern": "",
    "hidden": false,
    "id": "text2550061606",
    "max": 0,
    "min": 0,
    "name": "icon_path",
    "pattern": "",
    "presentable": false,
    "primaryKey": false,
    "required": false,
    "system": false,
    "type": "text"
  }))

  return app.save(collection)
})
